THREATINT

We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Fathom (Privacy friendly web analytics)
Zendesk (Helpdesk and Chat)

Ok

Home | EN
Support
CVE
PUBLISHED

CVE-2023-33919

Assignersiemens
Reserved2023-05-23
Published2023-06-13
Updated2024-07-06

Description

A vulnerability has been identified in CP-8031 MASTER MODULE (All versions < CPCI85 V05), CP-8050 MASTER MODULE (All versions < CPCI85 V05). The web interface of affected devices is vulnerable to command injection due to missing server side input sanitation. This could allow an authenticated privileged remote attacker to execute arbitrary code with root privileges.



HIGH: 7.2CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H/E:P/RL:O/RC:C

Problem types

CWE-77: Improper Neutralization of Special Elements used in a Command ('Command Injection')

Product status

Default status
unknown

All versions < CPCI85 V05
affected

Default status
unknown

All versions < CPCI85 V05
affected

References

https://cert-portal.siemens.com/productcert/pdf/ssa-731916.pdf

http://seclists.org/fulldisclosure/2023/Jul/14

http://packetstormsecurity.com/files/173370/Siemens-A8000-CP-8050-CP-8031-Code-Execution-Command-Injection.html

http://seclists.org/fulldisclosure/2024/Jul/4

cve.org CVE-2023-33919

nvd.nist.gov CVE-2023-33919

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2023-33919
© Copyright 2024 THREATINT. Made in Cyprus with +